Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class InstalledBase.ConnectionRelation

    java.lang.Object
      |
      +--oracle.apps.cz.cio.InstalledBase.ConnectionRelation

Enclosing class:
  InstalledBase

public class InstalledBase.ConnectionRelation
extends java.lang.Object

This class is used for storage of outputs from getConnectedComponents

Constructor Summary
`InstalledBase.ConnectionRelation(long sourceHeader, long sourceRev, long sourceItemId, long targetHeader, long targetRev, long targetItemId)`

Method Summary
`long` | `getSourceHeader()`
`long` | `getSourceItemId()`
`long` | `getSourceRevision()`
`long` | `getTargetHeader()`
`long` | `getTargetItemId()`
`long` | `getTargetRevision()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InstalledBase.ConnectionRelation

    public InstalledBase.ConnectionRelation(long sourceHeader,
                                            long sourceRev,
                                            long sourceItemId,
                                            long targetHeader,
                                            long targetRev,
                                            long targetItemId)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getSourceHeader

    public long getSourceHeader()

### getSourceRevision

    public long getSourceRevision()

### getSourceItemId

    public long getSourceItemId()

### getTargetHeader

    public long getTargetHeader()

### getTargetRevision

    public long getTargetRevision()

### getTargetItemId

    public long getTargetItemId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.